Subject: bug#39026: 27.0.50; gnus-group-decoded-name needs running gnus

From: Eric Abrahamsen <[email-masked]>
Date: Tue, 14 Jan 2020 14:54:43 -0800

On 01/13/20 22:57 PM, Deus Max wrote:
> On Mon, Jan 13 2020, Eric Abrahamsen wrote:
>
>>
>> Yeah, to be honest, I don't really know the point of the
>> gnus-group-name-charset-* stuff, and am mostly unwilling to mess with
>> anything I don't really understand. But if those variables have been
>> set, we'd need to know a group's method, and it really isn't possible to
>> get a group's method for sure unless Gnus is up and running.
>>
>> In fact, I suspect we could simply dump all the group-name-charset/group
>> decoding stuff, stop encoding/decoding altogether, but I don't know how
>> I would prove that wouldn't cause problems.
>>
>> Can you just not use gnus-group-decoded-name? As I mentioned, decoding
>> as 'utf-8-emacs should work fine.
>>
>> Eric
>
> Yes, I agree with you and will take your advice.
> Thanks for discussing the issue.
>
> For my needs, I will just replace gnus-group-name-decode with:
>
> #+begin_src emacs-lisp
>   (defun gnus-recent-decode-utf8 (string &optional charset)
>     "Decode a gnus-group name.
>   Replaces `gnus-group-name-decode' for decoding group names.
>   Default utf-8-emacs CHARSET unless provided otherwise."
>     (decode-coding-string string (or charset 'utf-8-emacs) t))
> #+end_src

That looks fine to me. Sorry I don't have a more definitive solution for
this.

> I guess you may close the bug.

Done.